## org.springframework.beans.factory.wiring
Class ClassNameBeanWiringInfoResolver

    java.lang.Object
      org.springframework.beans.factory.wiring.ClassNameBeanWiringInfoResolver

All Implemented Interfaces:
  BeanWiringInfoResolver

    public class ClassNameBeanWiringInfoResolver

extends Object
implements BeanWiringInfoResolver

Simple default implementation of the `BeanWiringInfoResolver` interface, looking for a bean with the same name as the fully-qualified class name. This matches the default name of the bean in a Spring XML file if the bean tag's "id" attribute is not used.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller

Constructor Summary
`ClassNameBeanWiringInfoResolver()`

Method Summary
`BeanWiringInfo` `resolveWiringInfo(Object beanInstance)` Resolve the BeanWiringInfo for the given bean instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassNameBeanWiringInfoResolver

    public ClassNameBeanWiringInfoResolver()

Method Detail

### resolveWiringInfo

    public BeanWiringInfo resolveWiringInfo(Object beanInstance)

  Description copied from interface: `BeanWiringInfoResolver`
  Resolve the BeanWiringInfo for the given bean instance.

  Specified by:
    `resolveWiringInfo` in interface `BeanWiringInfoResolver`
  Parameters:
    `beanInstance` - the bean instance to resolve info for
  Returns:
    the BeanWiringInfo, or `null` if not found